Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 21

Thread: AMD Releases New Catalyst Linux Legacy Driver

  1. #11
    Join Date
    Aug 2007
    Posts
    6,598

    Default

    Code:
    echo -n d164ca3e4bda6f7683e01cdf18df15c3:e94afc067af75f4fb2d12eeb79f225fae351fa0608f72e22cac029ed28ed21f7:b45dfe5f2db95f40b4817ae82db921a5b356ae0f79bf0a14b4d97aed2aea73a2b457ff0f2dbb5f40b3d87ae82aba27f1b205a90e79e30a12b1d879bb2aee73f4 > /etc/ati/signature

  2. #12
    Join Date
    Jan 2011
    Posts
    444

    Default

    How stupid. Such a big company as AMD/ATI and they put a transparent image on your screen. Why not put a warning in the control centre, rather then mes sup someone's screen if they're forced to use the beta drivers.

  3. #13
    Join Date
    Feb 2012
    Posts
    366

    Default

    Quote Originally Posted by RussianNeuroMancer View Post
    Code:
    sudo amdconfig --set-pcs-u32=MCIL,HWUVD_H264Level51Support,1
    How is this "official support"? Remember, official support means a message in the control panel, it means a user doesn't need to inform themselves before diving it.

    scnr

  4. #14
    Join Date
    Nov 2009
    Posts
    379

    Default

    Quote Originally Posted by Gusar View Post
    How is this "official support"? Remember, official support means a message in the control panel, it means a user doesn't need to inform themselves before diving it.

    scnr
    Sounds like one of my tutors We need mooooore buttons!!!

  5. #15
    Join Date
    Nov 2008
    Location
    Old Europe
    Posts
    879

    Default

    Quote Originally Posted by disi View Post
    Sounds like one of my tutors We need mooooore buttons!!!
    Having a CL-interface only is not the problem IMHO. It's more like "is it documented or not?".
    Is it? If not, it is obviously not supported officially and hints "very bad things may happen".
    Or worse "don't expect us to fix this in a _legacy_ release".

  6. #16
    Join Date
    Feb 2010
    Posts
    519

    Default

    Quote Originally Posted by e8hffff View Post
    How stupid. Such a big company as AMD/ATI and they put a transparent image on your screen. Why not put a warning in the control centre, rather then mes sup someone's screen if they're forced to use the beta drivers.
    "Mess up the screen"? "Forced to use the beta drivers"? What?!?

  7. #17
    Join Date
    Aug 2007
    Posts
    6,598

    Default

    When you forget the bad 12-6 drivers, then this one is at least in two points better:

    a) no libpciaccess bug
    b) kernel 3.4 support (not 3.5), but only tested 64 bit right now

    some things i would do for packaging:

    a) use control file from 12-4 driver as pci-ids are identical
    b) add a signature
    c) patch amdpcsdb.default to enable

    HWUVD_H264Level51Support=V1

    d) update xvba-va-driver with h264 l5.1 support patch

    maybe somebody could post a patch for kernel 3.5 support, thats what i still need...

  8. #18
    Join Date
    Nov 2006
    Location
    Seattle
    Posts
    305

    Default

    I've playing Diablo on my Lenovo W500 (with a Radeon HD 3650 and Catalyst 12.4 driver). After installing this driver the system hangs after logging in to the game and I must do a hard reset. I'll do more testing later to make sure the problem persists, but the only change was that I installed the new drivers. For this reason (and the dumb screen overlay) I'll very likely be reverting to the old driver version.

  9. #19
    Join Date
    Aug 2007
    Posts
    6,598

    Default

    just save /etc/ati/control + signature and copy it back later.

  10. #20
    Join Date
    Dec 2007
    Location
    Merida
    Posts
    1,098

    Default

    Moved to the open driver a long time ago. Use it 24/7 now. Could not care less about "legacy" drivers.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •